Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.endeca.portal.data
Enum Feature

    java.lang.Object
      java.lang.Enum<Feature>
          com.endeca.portal.data.Feature

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Feature>

    public enum Feature

extends java.lang.Enum<Feature>

This class contains the mapping of MDEX version to feature support. A feature can be supported in the MDEX or in the presentation API, but the feature sets are mutually exclusive, and we assume that if the feature is supported in the presentation API, it is also supported by any MDEX that supports that API. For example, the As sort parameter is supported in the 6.1.4 presentation API. This feature should exist in the 6.1.4 presentation API feature set, but not the 6.1.4 MDEX feature set, and we assume that any MDEX that is compatible with the 6.1.4 presentation API will also support the 6.1.4 prsentation API feature set. This way, we can have a 6.1.3 presentation API against a 6.1.4 MDEX, and return the correct feature support. The 6.1.3 presentation API doesn't support the As parameter, so if we have a DF install with the 6.1.3 jar, we should return "false" for DataSource.supportsFeature( AGGREGATED_RECORD_SORT ), even if we're running against a 6.1.4 engine.

Enum Constant Summary
`AGGREGATED_RECORD_SORT`
`ALLOW_NOT_EQUALS_IN_EQL`
`DIMENSION_GROUPS`
`DIMENSION_VALUE_BOOST`
`DIMVAL_BOOST`
`DISPLAY_NAMES`
`INERT_DIMENSIONS`
`NAVIGABLE_PROPERTIES`
`POST_QUERY`
`RANGE_FILTERS`
`RECORD_BOOST_AND_BURY`
`RECORD_DETAILS`
`REFINEMENT_COUNTS_FOR_DESCRIPTORS`
`SMART_DEADENDS`
`SPELL_CORRECTION_PER_QUERY`

Field Summary
`static java.util.Set<Feature>` | `SUPPORTED_FEATURES_6_API`
`static java.util.Set<Feature>` | `SUPPORTED_FEATURES_614_MDEX`
`static java.util.Set<Feature>` | `SUPPORTED_FEATURES_7_API`
`static java.util.Set<Feature>` | `SUPPORTED_FEATURES_710_MDEX`
`static java.util.Set<Feature>` | `SUPPORTED_FEATURES_DEFAULT`

Method Summary
`static Feature` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Feature[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AGGREGATED_RECORD_SORT

    public static final Feature AGGREGATED_RECORD_SORT

### DIMENSION_VALUE_BOOST

    public static final Feature DIMENSION_VALUE_BOOST

### POST_QUERY

    public static final Feature POST_QUERY

### DIMVAL_BOOST

    public static final Feature DIMVAL_BOOST

### SMART_DEADENDS

    public static final Feature SMART_DEADENDS

### ALLOW_NOT_EQUALS_IN_EQL

    public static final Feature ALLOW_NOT_EQUALS_IN_EQL

### REFINEMENT_COUNTS_FOR_DESCRIPTORS

    public static final Feature REFINEMENT_COUNTS_FOR_DESCRIPTORS

### RECORD_BOOST_AND_BURY

    public static final Feature RECORD_BOOST_AND_BURY

### SPELL_CORRECTION_PER_QUERY

    public static final Feature SPELL_CORRECTION_PER_QUERY

### NAVIGABLE_PROPERTIES

    public static final Feature NAVIGABLE_PROPERTIES

### DISPLAY_NAMES

    public static final Feature DISPLAY_NAMES

### DIMENSION_GROUPS

    public static final Feature DIMENSION_GROUPS

### INERT_DIMENSIONS

    public static final Feature INERT_DIMENSIONS

### RANGE_FILTERS

    public static final Feature RANGE_FILTERS

### RECORD_DETAILS

    public static final Feature RECORD_DETAILS

Field Detail

### SUPPORTED_FEATURES_DEFAULT

    public static final java.util.Set<Feature> SUPPORTED_FEATURES_DEFAULT

### SUPPORTED_FEATURES_614_MDEX

    public static final java.util.Set<Feature> SUPPORTED_FEATURES_614_MDEX

### SUPPORTED_FEATURES_710_MDEX

    public static final java.util.Set<Feature> SUPPORTED_FEATURES_710_MDEX

### SUPPORTED_FEATURES_6_API

    public static final java.util.Set<Feature> SUPPORTED_FEATURES_6_API

### SUPPORTED_FEATURES_7_API

    public static final java.util.Set<Feature> SUPPORTED_FEATURES_7_API

Method Detail

### values

    public static final Feature[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Feature c : Feature.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Feature valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD